B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.5
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
End Sub

'You can add more parameters here.
Public Sub Initialize As Object
	Return Me
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Log("Page3 Create")
	Root = Root1
	'load the layout to Root
	Root.LoadLayout("Page3")
End Sub

Private Sub B4XPage_Appear
	Log("Page3 Appear")
End Sub

Private Sub B4XPage_Disappear
	Log("Page3 Disappear")
End Sub

Private Sub B4XPage_Foreground
	Log("Page3 Foreground")
End Sub

Private Sub B4XPage_Background
	Log("Page3 Background")
End Sub

Private Sub B4XPage_Resize (Width As Int, Height As Int)
	Log("Page3 Resize " & Width & " / " & Height)
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

